> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a shareable link for a style

> Generate or retrieve a shareable link for a style you own. The link allows others to access the style.



## OpenAPI

````yaml https://api.krea.ai/openapi.json get /styles/{id}/share/link
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /styles/{id}/share/link:
    get:
      tags:
        - Styles
      summary: Get a shareable link for a style
      description: >-
        Generate or retrieve a shareable link for a style you own. The link
        allows others to access the style.
      parameters:
        - in: path
          name: id
          description: A unique identifier for a style
          schema:
            type: string
            description: A unique identifier for a style
            example: 044988d1-570c-402b-9504-46a3bc3900a7
          required: true
      responses:
        '200':
          description: Shareable link retrieved (existing link)
          content:
            application/json:
              schema:
                type: object
                properties:
                  share_link:
                    type: string
                    format: uri
                    description: Shareable URL for the style
                  is_new:
                    type: boolean
                    description: Whether the share link is new
                required:
                  - share_link
                  - is_new
                description: Response containing a shareable link for a style
        '201':
          description: Shareable link created (new link)
          content:
            application/json:
              schema:
                type: object
                properties:
                  share_link:
                    type: string
                    format: uri
                    description: Shareable URL for the style
                  is_new:
                    type: boolean
                    description: Whether the share link is new
                required:
                  - share_link
                  - is_new
                description: Response containing a shareable link for a style
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Style not found or you are not the owner
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````